# Get primary sequence i.e. "PHE", "SER", "THR", "PRO", "VAL"...
# Build first residue including sidechain
# Add ghost C' for first NeRF iteration
# Using C 

from protein.residue import Residue, ResidueName
from geometry.backbone import GEO, ORI

met1 = Residue(ResidueName.MET)

print(met1.name.value)

for atom in ORI:
    met1.backbone["atoms"][atom] = ORI[atom]

print(met1.backbone["atoms"])
